Subject: Re: 23.0.93; x-display-planes is incorrect in NS port

From: Chong Yidong <[email-masked]>
Date: Sun, 10 May 2009 17:53:08 -0400

Adrian, could you take a look at this bug?  Can you reproduce it?

Ian Eure <[email-masked]> wrote:

> When starting up NextStep Emacs compiled from CVS HEAD, the old XPM  
> splash image is used, rather than the new PNG.
>
> This appears to be caused by (display-planes) reporting an eight-plane  
> display. This is almost certainly incorrect.
>
> Looking deeper, (display-planes) calls (x-display-planes), in nsfns.m.  
> I don’t see anything obviously wrong, but it’s reporting that I have  
> an 8-plane display when it’s 24-plane. Evaluating (x-display-color- 
> cells) produces the correct value: 16777216, indicating a 24-bit  
> display.